
<div class="plc oee-statement device-statement">
    <div class="plc-menu">
        OEE报表
    </div>
    <div class="oee-move-module move-module"
         ng-class="{'transform-animateOut':bodyConfig.animateOut , 'transform-select':bodyConfig.animateSelect }">

        <div class="plc-content output-statement-heading">
            <div class="row">
            <div class="col-sm-12">
                <div class="public-horizon-form">
                    <div class="public-horizon">
                        <label class="horizon-label label-4">生产区域：</label>
                        <div class="horizon-group horizon-col-3">
                            <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(focusInput)}">
                                <input ng-init="focusInput=false" ng-focus="focusInput=true"  ng-blur="focusInput=false"
                                       type="text" value=""
                                       placeholder="搜索"
                                       ng-disabled="true"
                                       class="form-control ad-left-child"
                                       ng-model="config.workCenters.description"
                                       ng-change="initWorkCenter()"
                                       ng-keyup="upModel('resrce')">
                                <i class="fa fa-search ad-right-child focus" ng-click="toWorkCenterHelp()" ng-if="!config.workCenters" ></i>
                                <i class="ion-ios-close-outline ad-right-child focus" ng-click="deleteAll('workCenter')" ng-if="!!config.workCenters"></i>
                            </div>
                        </div>
                        <label class="horizon-label label-4">拉线：</label>
                        <div class="horizon-group horizon-col-3">
                            <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(lineInput)}">
                                <input ng-init="lineInput=false" ng-focus="lineInput=true"
                                       ng-blur="lineInput=false" type="text"
                                       value="" placeholder="搜索"
                                       ng-disabled="true"
                                       class="form-control ad-left-child"
                                       ng-model="config.wireLine.description"
                                       ng-change="initWireLine()">
                                <i class="fa fa-search ad-right-child focus" ng-click="toWireLineHelp()" ng-if="!config.wireLine"></i>
                                <i class="ion-ios-close-outline ad-right-child focus" ng-click="deleteAll('wireLine')" ng-if="!!config.wireLine"></i>
                            </div>
                        </div>
                        <label class="horizon-label label-4"><span class="text-red">*</span>设备：</label>
                        <div class="horizon-group horizon-col-3">
                            <div class="nbox-group-input andon-input-wrapper"
                                 ng-class="{'focus':(config.deviceInput),'border-red':config.isNecessary}">
                                <input ng-focus="focusDeviceCode('resrce')"
                                       ng-blur="blurDeviceCode('resrce')" type="text" value="" placeholder="搜索"
                                       ng-keyup="checkDeviceIsNull()"
                                       class="form-control ad-left-child"
                                       ng-model="config.device">
                                <i class="fa fa-search ad-right-child focus" ng-click="toDeviceHelp()" ng-if="!config.device"></i>
                                <i class="ion-ios-close-outline ad-right-child focus" ng-click="deleteAll('device')" ng-if="!!config.device"></i>
                            </div>
                        </div>
                    </div>
                    <div class="public-horizon">
                        <div class="horizon-group horizon-col-3">
                            <div class="horizon-btns horizon-label">
                                <div class="radio radio-primary radio-inline">
                                    <input type="radio" id="dateRadio1"
                                           name="identityDate" ng-click="selectedTimeType('M')"
                                           ng-checked="true" />
                                    <label for="dateRadio1"> 按月计算 </label>
                                </div>
                            </div>
                        </div>

                        <div class="horizon-group horizon-col-3">
                            <div class="horizon-btns horizon-label">
                                <div class="radio radio-primary radio-inline">
                                    <input type="radio" id="dateRadio2"
                                           name="identityDate" ng-click="selectedTimeType('W')"
                                           >
                                    <label for="dateRadio2" > 按周计算 </label>
                                </div>
                            </div>
                        </div>

                        <div class="horizon-group horizon-col-3">
                            <div class="horizon-btns horizon-label">
                                <div class="radio radio-primary radio-inline">
                                    <input type="radio" id="dateRadio3"
                                           name="identityDate" ng-click="selectedTimeType('D')"
                                           >
                                    <label for="dateRadio3" > 按天计算 </label>
                                </div>
                            </div>
                        </div>

                        <div class="horizon-group horizon-col-3">
                            <div class="horizon-btns horizon-label">
                                <div class="radio radio-primary radio-inline">
                                    <input type="radio" id="dateRadio4"
                                           name="identityDate" ng-click="selectedTimeType('X')"
                                           >
                                    <label for="dateRadio4" > 按班次计算 </label>
                                </div>
                            </div>
                        </div>

                    </div>
                    <div class="public-horizon">
                        <label class="horizon-label label-4">开始日期：</label>
                        <div class="horizon-group horizon-col-3">
                            <input type="text"
                                   value=""
                                   id="oeeStartDate"
                                   class="form-control"
                                   ng-if="config.byTimeType=='D' || config.byTimeType=='X' || config.byTimeType=='W'"
                                   ng-model="config.startDate" ng-change="disableBtn()"
                                   ng-init="initDateTimePicker('#oeeStartDate', {},'Y-m-d',false,false);"/>
                            <div class="dateClass"
                                 ng-if="config.byTimeType=='M' ">
                                <input type="text"
                                       ng-focus="dateStart=true"
                                       class="form-control"
                                       ng-model="config.startDateMouth">
                                <date-directive  date-div="dateStart"
                                                 date-year-mouth="config.startDateMouth"
                                                 date-status="start"
                                                 date-year-mouth-day="config.startDate" ><date-directive/>
                            </div>
                        </div>
                        <label class="horizon-label label-4">结束日期：</label>
                        <div class="horizon-group horizon-col-3">
                            <div class="nbox-group-input andon-input-wrapper" >
                                <input type="text"
                                       ng-if="config.byTimeType=='D' || config.byTimeType=='X' || config.byTimeType=='W'"
                                       value=""
                                       id="oeeEndDate"
                                       class="form-control"
                                       ng-model="config.endDate" ng-change="disableBtn()"
                                       ng-init="initDateTimePicker('#oeeEndDate', {},'Y-m-d',false,false);"/>
                                <div ng-if="config.byTimeType=='M' ">
                                    <input
                                            type="text"
                                            ng-focus="dateEnd=true"
                                            class="form-control"
                                            ng-model="config.endDateMouth" >
                                    <date-directive
                                            date-div="dateEnd"
                                            date-year-mouth="config.endDateMouth"
                                            date-status="end"
                                            date-year-mouth-day="config.endDate"><date-directive/>
                                </div>`
                            </div>
                        </div>

                        <div class="horizon-btns">
                            <button class="btn btn-primary" ng-click="queryDatas()" ng-disabled="config.btnDisabledQuery">查询</button>
                        </div>
                    </div>
                </div>

            </div>
        </div>
        </div>
    </div>
    <move-template></move-template>
    <!--ng-class="{'oee-bar-full':config.showTable,'oee-bar':!config.showTable}"-->
    <div class="plc-content oee-statement-content" ng-show="config.showEchart">
    	<span class="glyphicon glyphicon-minus" style="float:right" ng-if="config.showFirstChar" ng-click="hideFirstChar()"></span>
    	<span class="glyphicon glyphicon-plus" style="float:right" ng-if="!config.showFirstChar" ng-click="showFirstChar()"></span>
        <div class="first-oee-bar" id="first-oee-bar">
            <div echarts="histogram.identity"
                 config="histogram.config"
                 class="statement-echart"></div>
        </div>
        <span class="glyphicon glyphicon-minus" style="float:right" ng-if="config.showSecondChar" ng-click="hideSecondChar()"></span>
    	<span class="glyphicon glyphicon-plus" style="float:right" ng-if="!config.showSecondChar" ng-click="showSecondChar()"></span>
        <div class="second-oee-pie" id="second-oee-pie">
            <div echarts="distribution.identity"
                 config="distribution.config"
                 class="statement-echart" ></div>
        </div>
        <form class="form-horizontal" role="form" >
            <div class="row statement-title">
                <div class="col-sm-2 col-xs-2" style="width:70%">
                    <label class="control-label label-title">总记录数:{{config.dataNum}}</label>
                    <span style="font-weight:700;font-size:16px;margin-left:50px;">N/A:员工未维护坏品数</span>
                    <span style="margin-left:50px;vertical-align:middle;display:inline-block;width:60px;height:25px;background-color:#F76F6A"></span>
                    <span style="font-weight:700;font-size:16px">OEE<22.5%  时间利用率<50%  性能率<50%  优率<99%</span>
                </div>
                <div class="col-sm-3 col-xs-3">
                    <!--<label class="control-label label-title">总停机数：3333</label>-->
                </div>
                <div class="col-sm-3 col-xs-3">
                    <!--<label class="control-label label-title">最大停机时长：FTJI001 500min</label>-->
                </div>
                <div class="col-sm-2 col-xs-2 px-public-hide-div">
                    <div ng-click="showHideCol()" class="px-public-hide-inline">
                    <i class="fa fa-cog"></i>
                    <div class="px-public-hide-col">显示隐藏列
                    </div>
                    </div>
                </div>
                <div class="statement-save-btn pull-right">
                    <!--<select class="form-control input-title" ng-if="true"><option>请选择</option></select>-->
                    <button type="button" class="btn btn-primary"  ng-click="downLoadOEE();">导出</button>
                </div>
            </div>
        </form>
        <div class="row">
            <div class="col-sm-12">
                <div class="andon-grid">
                <div ui-grid="gridOEEStatement"
                     ui-grid-edit ui-grid-cellnav
                     ui-grid-validate ui-grid-auto-resize></div></div>
            </div>
        </div>
    </div>

</div>

